# GetFilingStatus

Get this company's filing status

`GET /api/v2/companies/{id}/filingstatus`

**API:** AvaTax API
**Tag:** Companies
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Companies/GetFilingStatus/

## Description

Retrieve the current filing status of this company.
            
For customers using Avalara's Managed Returns Service, each company within their account can request
for Avalara to file tax returns on their behalf.  Avalara compliance team members will review all
requested filing calendars prior to beginning filing tax returns on behalf of this company.
            
A company's filing status can be one of the following values:
            
* `NoReporting` - This company is not configured to report tax returns; instead, it reports through a parent company.
* `NotYetFiling` - This company has not yet begun filing tax returns through Avalara's Managed Returns Service.
* `FilingRequested` - The company has requested to begin filing tax returns, but Avalara's compliance team has not yet begun filing.
* `FirstFiling` - The company has recently filing tax returns and is in a new status.
* `Active` - The company is currently active and is filing tax returns via Avalara Managed Returns.
* `Inactive` - The company is currently inactive.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, Compliance Root User, ComplianceAdmin, ComplianceUser, CSPAdmin, CSPTester, ECMAccountUser, ECMCompanyUser, FirmAdmin, FirmUser, ProStoresOperator, Registrar, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser, TreasuryAdmin, TreasuryUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | integer | path | Yes |  |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/companies/{id}/filingstatus" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```